hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test > Class Template Reference

`#include <test_util-inl.h>`

## Public Member Functions

| ~ForGEVectors ()
template<typename T >
void | operator() (T) const

## Private Attributes

bool | called_ = false

## Constructor & Destructor Documentation

## ~ForGEVectors()

template<size_t kMinBits, class Test >

hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test >::~ForGEVectors | ( |  | ) |

inline

References hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test >::called_, and HWY_ABORT.

## Member Function Documentation

## operator()()

template<size_t kMinBits, class Test >
template<typename T >

void hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test >::operator() | ( | T |  | ) | const

inline

References hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test >::called_, hwy::CeilLog2(), and HWY_LANES.

## Member Data Documentation

## called_

template<size_t kMinBits, class Test >

bool hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test >::called_ = false

mutable private

Referenced by hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test >::operator()(), and hwy::HWY_NAMESPACE::ForGEVectors< kMinBits, Test >::~ForGEVectors().

The documentation for this class was generated from the following file:

- test_util-inl.h